Package org.eclipse.mat.ui.snapshot.editor

# Interface ISnapshotEditorInput

All Superinterfaces:
  `IAdaptable`, `IEditorInput`

public interface ISnapshotEditorInput extends IEditorInput

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static interface`
`ISnapshotEditorInput.IChangeListener`

## Method Summary

Modifier and Type
Method
Description
`void`
`addChangeListener(ISnapshotEditorInput.IChangeListener listener)`
`ISnapshot`
`getBaseline()`
`IPath`
`getPath()`
`ISnapshot`
`getSnapshot()`
`boolean`
`hasBaseline()`
`boolean`
`hasSnapshot()`
`void`
`removeChangeListener(ISnapshotEditorInput.IChangeListener listener)`
`void`
`setBaseline(ISnapshot snapshot)`

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Methods inherited from interface org.eclipse.ui.IEditorInput

`exists, getImageDescriptor, getName, getPersistable, getToolTipText`

## Method Details

### getPath

IPath getPath()

### getSnapshot

ISnapshot getSnapshot()

### hasSnapshot

boolean hasSnapshot()

### getBaseline

ISnapshot getBaseline()

### setBaseline

void setBaseline(ISnapshot snapshot)

### hasBaseline

boolean hasBaseline()

### addChangeListener

void addChangeListener(ISnapshotEditorInput.IChangeListener listener)

### removeChangeListener

void removeChangeListener(ISnapshotEditorInput.IChangeListener listener)